# Generated from jeckyl-0.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jeckyl

Name: rubygem-%{gem_name}
Version: 0.4.0
Release: 1%{?dist}
Summary: Create and manage configuration files in Ruby for Ruby
License: Open Software Licence v3.0
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Create and manage configuration files in Ruby for Ruby. Jeckyl can be used to
create a parameters hash 
from a simple config file written in Ruby, having run whatever checks you want
on the file to ensure 
the values passed in are valid. All you need to do is define a class
inheriting from Jeckyl, methods for
each parameter, its default, whatever checking rules are appropriate and even
a comment for generating templates etc.
This is then used to parse a Ruby config file and create the parameters hash.
Jeckyl 
comes complete with a utility to check a config file against a given class and
to generate a default file for you to tailor.
Type 'jeckyl readme' for more information.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/jeckyl-old
%{_bindir}/jeckyl
%{gem_instdir}/Intro.txt
%license %{gem_instdir}/LICENCE.rdoc
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Bugs.rdoc
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.4.0-1
- Initial package
